(function ($) {
	var vm = new Vue({
		el: '.mui-content',
		data: {
			obj:{},
			quoteDay: '',
			radioNum: 0,
			list: []

		},
		computed: {
			str: function () {
				var arr = [];
				this.list.forEach(function(item) {
					if (item.radioType) {
						arr.push(item.dataSampleId);
					}
				});
				return arr.join(",");
			}
		},
		methods: {
			radioTap: function (val) {

			
				if (val.radioType && this.radioNum!=0) {
					this.radioNum--;								
				}else if (!val.radioType) {
					if (this.radioNum<2) { 
						this.radioNum++;	
					}else {
						$.toast("请查询品种少于或等于3");
						return;
					}
				}else {
					console.log("最少选择一项");
					return;
				}
				val.radioType = !val.radioType;
				this.$nextTick(function () {
					getEcharList();
				});
			}
		}
	});
	
	
	var setGrade = function () {
		var dom = document.getElementById("container");
		var myChart = echarts.init(dom);
		var _this = arguments[0];
		var option = null;
		option = {
	        tooltip: {
		      trigger: 'axis'
		    },
		    grid: {
		      top: '16px',
		      bottom: '24px',
		      left: '44px',
		      right: '8px'
		    },
		    xAxis: {
		      splitLine: {
		        show: true
		      },
		      axisTick: {
		      	show: true,
		        alignWithLabel: true
		      },
		      data: []
		    },
		    yAxis: {
		      scale: true
		    },
		    animation: false,
		    series: []
		};
		
		if (arguments[1]) {
			if (!'quote30Days' in _this) {return;}
			
			option.xAxis.data = _this.quote30Days;
			
			_this.quote30DaysData.forEach(function(item) {
				console.log('item...:'+JSON.stringify(item))
				option.series.push({
		          type: 'line',
		          name: item.dataPriceList[0].placeSteelName,
		          data: item.dataPriceList.map(function (val) {
							return val.quotePrice;
						})
		       });
			}); 
			
		}else {
			option.xAxis.data = _this.map(function (item) {
				return item.quoteDay;
			});
			option.series.push({
	          type: 'line',
	          name: _this[0].placesteelName,
	          data: _this.map(function (val) {
				        return val.quotePrice;
					})
	       });
		}
		
		if (option && typeof option === "object") {
		    myChart.setOption(option, true);
		}
	}
	var getEcharList = function () {
		//console.log(vm.str);
		//console.log(vm.quoteDay);
		var t = new Date(vm.quoteDay).pattern("yyyy/MM/dd");
		//console.log(t);
		http.post(BASE_URL+plus.storage.getItem('version')+'/map/queryQuote30Days',{
			dataSampleIdStr: vm.str,
			quoteDay: t
		},function (data) {
			setGrade(data.result,true);
		});
		
	}
	var getList = function (dataObj) {
		http.post(BASE_URL+plus.storage.getItem('version')+'/map/quoteArea', $.extend(true, dataObj, {headers: {'Content-Type': 'application/json'}}),
		function (data) {
			console.log(JSON.stringify(data.result))
			vm.quoteDay = data.result.quoteDay;
			setGrade(data.result.quote30DaysData);
			data.result.quoteArea.forEach(function (item,index) {
				if (index == 0) {
					vm.list.push($.extend(true, item, {'radioType': true}));
				}else {
					vm.list.push($.extend(true, item, {'radioType': false}))
				}
			});
		});
	} 
	
	$.plusReady(function () {
		vm.obj = plus.webview.currentWebview().obj;
//		console.log("obj.....:"+JSON.stringify(plus.webview.currentWebview().obj))
		getList(plus.webview.currentWebview().obj);
		
	})
	 
})(mui)