(function($){
    vm = new Vue({
        el: '.mui-content', 
        data: {
            phoneNum:'',//电话号码
            lockedNum:'',//输的验证码
            getRegisterSendSms:''//请求得到的验证码
        },
        methods:{               
            getPhoneNum:function(){//获取电话号码
//              console.log('电话号码'+vm.phoneNum);
            },
            getLockedNum:function(){//获取验证码
                console.log('获取验证码'+vm.lockedNum);
            },
            nextBtn:function(){//下一步
            	if(vm.phoneNum == '' || vm.phoneNum == null) {
		    	  	mui.toast('手机号码有误，请重新输入');
		    	  	return false;
		    	}
            	if(!(/^1[34578]\d{9}$/.test(vm.phoneNum))){
		            mui.toast('手机号码有误，请重新输入');
		            return false;
        		}
	    	    if(vm.lockedNum == '' || vm.lockedNum == null) {
		    	  	mui.toast('验证码不正确，请重新输入');
		    	  	return false;
	    	    }
	    	    if(!(/^[0-9]{5}$/.test(vm.lockedNum))) {
		    	  	mui.toast('验证码不正确，请重新输入');
		    	  	return false;
		    	}
	    	    var t = hex_md5(vm.phoneNum)
	    	    verification(vm.lockedNum, vm.phoneNum, t)
            },      
            del:function(){
            	vm.phoneNum =''
            }
           
        }
    });

    //获取完善信息验证码接口
    var registerSendSms = function (cellphone,cellphoneSecret) {
        http.post ( BASE_URL +'/person/chatSendSms/' + getState().token,{
            cellphone: cellphone,
            cellphoneSecret:cellphoneSecret
        },function (data) {
            if(data.code==200){
                console.log('获取完善信息验证码接口::'+JSON.stringify(data));
                mui.toast('验证码已发送')
                setTime();
            }else if(data.code==300){
            	mui.toast('该手机号已注册')
            }else if(data.code==510){
            	mui.toast(data.result)
            } else{
                mui.toast('系统出错')
            }
           
        },10000);

    };
    //验证完善信息验证码接口
    var verification = function (code,cellphone,cellphoneSecret) {
        http.post ( BASE_URL +'/person/checkCodeForChat/' + getState().token,{
        	code:code,
        	cellphone: cellphone,
            cellphoneSecret:cellphoneSecret
        },function (data) {
        	console.log('验证完善信息验证码接口::'+JSON.stringify(data));
            if(data.code==200){//系统已完成自动绑定
            	console.log("进了  200")
//          	console.log('验证完善信息验证码接口::'+JSON.stringify(data));
            	getInfo(getState().token);           	
            } else if (data.code==202){//验证码验证正确
                changePage('perfectInfo1.html','完善信息',{cellphone:vm.phoneNum})
            }  else if (data.code==400){
               console.log("秘钥验证失败")
            } else if (data.code==401){
                mui.toast("验证码不正确，请重新输入")
            } 
            
        },10000); 

    };
    
        //根据token获取个人信息接口

    var getInfo = function (token) {
        http.post ( BASE_URL +'/userLogin/getUserByToken',{
            token: token
        },function (data) {              		 
	            console.log('根据token获取个人信息接口::'+JSON.stringify(data));
	            if(data.code==200){
	            	var state = getState();
	                state.isItPerfect = 50;
	                state.nickName = data.result.cellphone;
	                state.userName = data.result.cellphone;
	                setState(state);
	        		mui.fire(plus.webview.getWebviewById('/templates/user/user.html'),'send',{types:10,sta:10,img:data.result.avatar,company:data.result.company,gender:data.result.gender,personName:data.result.personName,cellphone:data.result.cellphone,supplySum:data.result.supplySum,saleSum:data.result.saleSum,riseType:data.result.riseType});
	        		mui.fire(plus.webview.getWebviewById('/templates/user/personalData.html'),'userInfo',{cellphone:data.result.cellphone,gender:data.result.gender,personName:data.result.personName,company:data.result.company,avatar:data.result.avatar});	
	        		mui.back()
	            } else if(data.code==401){
	            	 mui.toast(data.result)
	            }else if(data.code==404 || data.code==500){
	            	 mui.toast('系统繁忙，请稍后再试')
	            }else{
	            	 mui.toast('服务器繁忙')
	            }
        },10000);

    };
    
    //倒计时
    var countdown=60;
    function setTime() {
        if (countdown == 0) {
            document.getElementById('btn').innerHTML='获取验证码';
            document.getElementById('btn').style.color='#099fde';
            document.getElementById('btn').removeAttribute("disabled");
            countdown = 60;
//          vm.lockedNum = "";
            return;
        } else {
            document.getElementById('btn').innerHTML=countdown + "秒后再发";
            document.getElementById('btn').style.color='#cccccc';
            document.getElementById('btn').setAttribute('disabled',"true");
            countdown--;
        }
        setTimeout(function() {
            setTime()
        },1000)
    }
    //点击请求获取验证码
    function getRegisterSendSms(){
        if(vm.phoneNum =='' || vm.phoneNum ==null){
            mui.toast('手机号码有误，请重新输入');
            return false;
        }
        if(!(/^1[34578]\d{9}$/.test(vm.phoneNum))){
            mui.toast('手机号码有误，请重新输入');
            return false;
        }
        var t =  hex_md5(vm.phoneNum)
        registerSendSms(vm.phoneNum,t)
       
    }

    //监听点击请求获取验证码
    document.getElementById("btn").addEventListener('tap', function(){
//      document.getElementById("locked").focus();
        getRegisterSendSms()
    });


    //下一步
//  document.getElementById("loginBtn").addEventListener('tap', function(){
//    
//
//
//  });

    $.plusReady(function () {
    	
    	mui.later(function(){
    	},300)


    });

})(mui);